db4o |

# RandomAccessFileAdapter Members

RandomAccessFileAdapter overview

#### Public Instance Constructors

RandomAccessFileAdapter | Overloaded. Initializes a new instance of the RandomAccessFileAdapter class.

#### Public Instance Methods

BlockCopy (inherited from IoAdapter) | copies a block within a file in block mode
BlockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
BlockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
Close |
Copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Delete |
Equals (inherited from Object) |
Exists |
GetHashCode (inherited from Object) |
GetLength |
GetType (inherited from Object) |
Open |
Read | Overloaded.
Read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
Seek |
Sync |
ToString (inherited from Object) |
Write | Overloaded.
Write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Constructors

RandomAccessFileAdapter | Overloaded. Initializes a new instance of the RandomAccessFileAdapter class.

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
RegularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

RandomAccessFileAdapter Class | com.db4o.io Namespace